package cn.skcks.matrix.v2.services.location.record;

import cn.skcks.matrix.v2.model.location.record.dto.LocationRecordParams;
import cn.skcks.matrix.v2.model.location.record.dto.PageLocationRecordParams;
import cn.skcks.matrix.v2.model.services.ServiceResult;
import cn.skcks.matrix.v2.orm.mybatis.dynamic.model.LocationRecord;
import com.github.pagehelper.PageInfo;

import java.util.Collection;

public interface LocationRecordService {
    ServiceResult<Collection<LocationRecord>> getLocationRecord(LocationRecordParams params, String userId);

    ServiceResult<PageInfo<LocationRecord>> getPageLocationRecord(PageLocationRecordParams params, String userId);
}
